Subject: RE: [OPSAWG] SMI-to-XSD mapping work

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 9 Aug 2007 10:01:10 +0200

Speaking as a contributor, I support doing this work. I believe it is
high priority for the reasons pointed by David, and the OPSAWG could be
the appropriate home. I do not see a problem in running parallel data
modeling efforts, provided that they are distinct in scope and in time
span. The architecture that we have put in place for management
protocols (actually not limited to management only) allows for the
combinations of protocols and data modeling languages to work together. 

Dan

> -----Original Message-----
> From: David Harrington [mailto:[email-masked]] 
> Sent: Monday, July 30, 2007 8:14 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [OPSAWG] SMI-to-XSD mapping work
> 
> Hi Juergen,
>  
> > -----Original Message-----
> > From: Juergen Schoenwaelder
> > I do not question any of the motivation. My concern, however,
> remains
> > that the existence of the translated XSD output will cause future
> data
> > modeling languages to be "consistent" with the XSD output 
> coming out 
> > of the translation. For me, a NETCONF data modeling language and
> SMIv2
> > translations should go hand in hand and not be separate efforts.
> > 
> 
> I think the efforts should be coordinated, but can be different. 
> 
> To my knowledge there are three "teams" working on NETCONF 
> data modeling - pure-XSD, and two unpublished specs (NCX and 
> Yang). I have discussed the SMI-to-XSD work with leaders of 
> each of these teams, and all agree that a common XSD for MIB 
> access makes sense. I do not think they feel constrained by 
> such an effort.
> 
> You didn't attend the XSDMI BOF. The XSDMI BOF was filled 
> primarily with people who are active in NETCONF, including 
> the leaders of the three teams, and the consensus was 13 for 
> doing this work, and zero against.
> 
> One reason I view the separation of this work to be 
> acceptable is that the SMI-to-XSD effort is fairly simple 
> translation work from one modeling langauge to another; it 
> can be done by engineers with a reasonable amount of skill in 
> SMI and XSD - a junior programmer could do most of the work 
> in this effort, with technical reviews done by more 
> experienced SMI and XSD engineers. We have three editors 
> willing to document the translations, and thirteen willing 
> reviewers, including the leaders of the three NETCONF teams.
> 
> The work being done in the NCX and Yang efforts is to develop 
> a completely new modeling language; this (and the work with 
> pure-XSD) requires the expertise of people with years of 
> experience with SMI and XML, a profound understanding of the 
> limitations of the SMI and the limitations of XML/XSD, and 
> years of experience developing language tools. This requires 
> senior programmer/architect skills.
> 
> I will point out that many of the current NETCONF leaders 
> could not reach consensus on a new data modeling langauge in 
> the failed SMING WG. I do not believe that all IETF protocols 
> should be denied XML-based access to MIB data just because 
> the NETCONF community cannot achieve consensus on a new data 
> modeling language. 
> 
> There is work that can be done now to allow access to MIB 
> data by XML-based protocols, that will not constrain the 
> "star" developers in their efforts, and will allow the whole 
> IETF to better utilize the standard MIB objects have 
> developed over the past twenty years.
> 
> This work should NOT be gated on NETCONF data modeling consensus.
> 
> David Harrington
> [email-masked]
> [email-masked]
> 
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/opsawg
> 

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/opsawg